Package org.gradle.api.publish.maven

# Interface MavenPomScm

public interface MavenPomScm
The SCM (source control management) of a Maven publication.

Since:
  4.8
See Also:
  - `MavenPom`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getConnection()`
  The connection URL of this SCM.
  `Property<String>`
  `getDeveloperConnection()`
  The developer connection URL of this SCM.
  `Property<String>`
  `getTag()`
  The tag of current code in this SCM.
  `Property<String>`
  `getUrl()`
  The browsable repository URL of this SCM.

- ## Method Details

  - ### getConnection

    Property<String> getConnection()
    The connection URL of this SCM.

  - ### getDeveloperConnection

    Property<String> getDeveloperConnection()
    The developer connection URL of this SCM.

  - ### getUrl

    Property<String> getUrl()
    The browsable repository URL of this SCM.

  - ### getTag

    Property<String> getTag()
    The tag of current code in this SCM.